Subject: Re: [lojban] UNIX Logflash?

From: "Robert J. Chassell" <[email-masked]>
Date: Mon, 29 Jan 2001 21:57:51 -0500 (EST)

On Mon, Jan 29, 2001 at 09:25:09PM -0500, Robert J. Chassell wrote:
[flashcard]
> The program's author goes on to say:
> 
> Then I can use `flashcard' to drill me on this file, either
> presenting me with the `dutch' field and letting me think of the
> `english' field, or vice versa. `flashcard' will not check my
> answers (unless I'm in multiple-choice mode); I must judge if I
> got the answer right or wrong, and hit `r' or `w' accordingly.

That seems useless in the extreme. Is it fixable?

Yes, it is fixable. It would be nice if someone did. All the code is
in the tar file:

http://www.rattlesnake.com/lojban/lojban-flashcard.tar.gz

You have the legal right to copy, study, modify, and redistribute it.

But I don't think flashcard is bad as is.

For example, I just ran flashcard and was given this:

Question (english): wedge, 
x1 is a wedge [shape/form/tool] of material x2 
/:/

Answer (lojban): 

Press SPC if you know the answer,
g to give up, or
k to skip this question.

So if I do *not* know the answer, I press `g' and it tells me
the answer: cfine

However, if I think I do know the answer, I say it outload and then
press the spacebar. At that point, Emacs ask you to 

Press r if you got it right,
w if you got it wrong, or
k to skip this question.

(By the way, I might add that you can switch back and forth between
asking the English or the Lojban, using the `o a' (option alternate)
command.

(When it is asking in Lojban you see:

Question (lojban): klama (kla)

Answer (english): 

Press SPC if you know the answer,
g to give up, or
k to skip this question.

and the answer will be the full English description from the gismu list:

come, go
x1 come-s/goes to destination x2 from origin x3 via route x4 using
means/vehicle x5 
/:/

)

-- 
Robert J. Chassell [email-masked]
Rattlesnake Enterprises http://www.rattlesnake.com